Subject: User defined X extensions in OpenWindows 2.3

From: [email-masked] (Casper H.S. Dik)
Date: 28 Jan 1994 19:33:45 GMT

Besides being based on R5, the Openwindows X server
has a new, neat feature: loadable extensions.

You want DPS? But you also want XIdle?

No problem:

Get the xidle source, unpack, cd extensions/server:

 cc -K pic -G -z text xidle.c -o XIdle.so.1 -I../include  \
	-I/usr/openwin/include/X11 \
	-I/usr/share/src/local/X11R5/solaris/mit/server/include

(You'll need R5 source for this)

# cp XIdle.so.1 /usr/openwin/server/modules
# add then following to /usr/openwin/server/etc/OWconfig

# Xidle extension
class="XEXTENSION" name="XIdle"
      sharedObject="XIdle.so.1"
      initFunc="XIdleExtensionInit"
      preLoad="NO";

Restart X and xdpyinfo says:

version number:    11.0
vendor string:    Sun Microsystems, Inc.
vendor release number:    3300
maximum request size:  262140 bytes
motion buffer size:  256
bitmap unit, bit order, padding:    32, MSBFirst, 32
image byte order:    MSBFirst
number of supported pixmap formats:    1
supported pixmap formats:
    depth 1, bits_per_pixel 1, scanline_pad 32
keycode range:    minimum 8, maximum 132
focus:  PointerRoot
number of extensions:    13
    SUN_ALLPLANES
    Adobe-DPS-Extension
    DPSExtension
    SHAPE
    MIT-SHM
    Multi-Buffering
    XInputExtension
    XInputDeviceEvents
    XTEST
    MIT-SUNDRY-NONSTANDARD
    SUN_DGA
    XIdle
    X3D-PEX
[...]

Nice.

Casper